Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Interface Collection

All Known Subinterfaces:
  List, Set

All Known Implementing Classes:
  AbstractCollection, AbstractList, AbstractSet, ArrayList

public interface Collection

Method Summary
`boolean` | `add(java.lang.Object o)`
`boolean` | `addAll(Collection c)`
`void` | `clear()`
`boolean` | `contains(java.lang.Object o)`
`boolean` | `containsAll(Collection c)`
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`boolean` | `remove(java.lang.Object o)`
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`int` | `size()`
`java.lang.Object[]` | `toArray()`
`java.lang.Object[]` | `toArray(java.lang.Object[] a)`

Method Detail

### add

    public boolean add(java.lang.Object o)
                throws UnsupportedOperationException,
                       java.lang.ClassCastException,
                       java.lang.IllegalArgumentException

    `UnsupportedOperationException`
    `java.lang.ClassCastException`
    `java.lang.IllegalArgumentException`

### addAll

    public boolean addAll(Collection c)
                   throws UnsupportedOperationException,
                          java.lang.ClassCastException,
                          java.lang.IllegalArgumentException

    `UnsupportedOperationException`
    `java.lang.ClassCastException`
    `java.lang.IllegalArgumentException`

### clear

    public void clear()
               throws UnsupportedOperationException

    `UnsupportedOperationException`

### contains

    public boolean contains(java.lang.Object o)

### containsAll

    public boolean containsAll(Collection c)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

### iterator

    public Iterator iterator()

### remove

    public boolean remove(java.lang.Object o)
                   throws UnsupportedOperationException

    `UnsupportedOperationException`

### removeAll

    public boolean removeAll(Collection c)
                      throws UnsupportedOperationException

    `UnsupportedOperationException`

### retainAll

    public boolean retainAll(Collection c)
                      throws UnsupportedOperationException

    `UnsupportedOperationException`

### size

    public int size()

### toArray

    public java.lang.Object[] toArray()

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)
                               throws java.lang.ArrayStoreException

    `java.lang.ArrayStoreException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD